Revision
332
Author
boklm
Date
2011-01-20 18:35:27 +0100 (Thu, 20 Jan 2011)

Log Message

move mga-signpackage to bin directory and add it in Makefile.PL

Modified Paths

Added Paths

Removed Paths

Modified: build_system/mdv-youri-submit/trunk/Makefile.PL
===================================================================
--- build_system/mdv-youri-submit/trunk/Makefile.PL	2011-01-20 17:10:16 UTC (rev 331)
+++ build_system/mdv-youri-submit/trunk/Makefile.PL	2011-01-20 17:35:27 UTC (rev 332)
@@ -9,7 +9,8 @@
     EXE_FILES  => [
         'bin/youri-submit',
         'bin/youri-submit-restricted',
-        'bin/youri-submit-proxy'
+        'bin/youri-submit-proxy',
+	'bin/mga-signpackage'
         ],
     PREREQ_PM  => {
         'Youri::Config'          => 0,

Copied: build_system/mdv-youri-submit/trunk/bin/mga-signpackage (from rev 331, build_system/mdv-youri-submit/trunk/mga-signpackage)
===================================================================
--- build_system/mdv-youri-submit/trunk/bin/mga-signpackage	                        (rev 0)
+++ build_system/mdv-youri-submit/trunk/bin/mga-signpackage	2011-01-20 17:35:27 UTC (rev 332)
@@ -0,0 +1,29 @@
+#!/usr/bin/perl -w
+
+use strict;
+use RPM4::Sign;
+use File::Spec;
+
+sub signpackage {
+    my ($file, $name, $path) = @_;
+
+    # check if parent directory is writable
+    my $parent = (File::Spec->splitpath($file))[1];
+    die "Unsignable package, parent directory is read-only"
+        unless -w $parent;
+
+    my $sign = RPM4::Sign->new(
+        name => $name,
+        path => $path,
+	passphrase => '',
+    );
+
+    $sign->rpmssign($file)
+}
+
+if (@ARGV != 3) {
+    exit 1;
+}
+
+signpackage(@ARGV);
+

Deleted: build_system/mdv-youri-submit/trunk/mga-signpackage
===================================================================
--- build_system/mdv-youri-submit/trunk/mga-signpackage	2011-01-20 17:10:16 UTC (rev 331)
+++ build_system/mdv-youri-submit/trunk/mga-signpackage	2011-01-20 17:35:27 UTC (rev 332)
@@ -1,29 +0,0 @@
-#!/usr/bin/perl -w
-
-use strict;
-use RPM4::Sign;
-use File::Spec;
-
-sub signpackage {
-    my ($file, $name, $path) = @_;
-
-    # check if parent directory is writable
-    my $parent = (File::Spec->splitpath($file))[1];
-    die "Unsignable package, parent directory is read-only"
-        unless -w $parent;
-
-    my $sign = RPM4::Sign->new(
-        name => $name,
-        path => $path,
-	passphrase => '',
-    );
-
-    $sign->rpmssign($file)
-}
-
-if (@ARGV != 3) {
-    exit 1;
-}
-
-signpackage(@ARGV);
-